clear;
clc;




hhdata = [];
maxplayer = 25;


for player = 1:maxplayer
    
    fid = fopen(['p' int2str(player) '.txt']);
    data1 = textscan(fid,'%s%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%s%f%f%f%f%f','Headerlines',2,'Delimiter',',');
    fclose(fid);
    playervec = [];

    %%%create experimenter vec
    expvec = ones(length(data1{3}),1) ;
    %%%typevec
    typevec = ones(length(data1{3}),1) ;
    %%%feedbvec
    feed = data1{9};
    feedbvec = ones(length(data1{3}),1).*feed(1) ;
    %%%whitespace
    white = [data1{5} data1{6} data1{7}];
    whitevec = ones(length(data1{3}),1).*sum(white(1,:)) ;   
    %%%penalty 
    pen = data1{8};
    penvec = ones(length(data1{3}),1).*pen(1) ;
    %%%max fill
    maxfill = (data1{11}.*data1{12});
    mf = ones(length(data1{3}),1).*  ( (maxfill(1)+2500)/5000 );
    %%%max trial length
    maximum = (data1{11}./data1{10});
    mtl = ones(length(data1{3}),1).*maximum(1)*1000 ;
    %%%create playervec
    pptvec = ones(length(data1{3}),1).*(player);

    playerdata = [expvec typevec feedbvec whitevec penvec mf mtl...
        pptvec data1{3} data1{25}.*data1{26}*1000 (data1{25}.*data1{26})/maximum(1)];
    
    
    hhdata = [hhdata; playerdata];
    
end

%%%remove practice blocks
markexp1 = hhdata(hhdata(:,9)>1,:);
%%%recode blocks so that they start at 1
markexp1(:,9) = markexp1(:,9)-1;

%%%%%%%%%%%%%create scaled accuracy column
mex2 = [];
for player =1:maxplayer
    
    pdat = markexp1(markexp1(:,8)==player,:);
    %%%keep each players accuracy
    aaa = pdat(:,10);
    aaa(aaa<0)=0;
    aaa(aaa>0)=1;
    nhits2(player) = sum(aaa);
    acc2(player) = sum(aaa)/length(aaa);
    rt2(player) = mean(abs(pdat(:,11)));
    
    nhitsCol = ones(length(pdat(:,1)),1).*nhits2(player);
    accCol = ones(length(pdat(:,1)),1).*acc2(player);
    rtCol = ones(length(pdat(:,1)),1).*rt2(player);
    
    %%%keep each players rt
%     rt = abs(pdat(:,11));
%     sd(player) = std(rt);
%     sd_max(player) = sd(player)/(mtl(1));
%     sd2_max(player) = std(abs(pdat(:,11)));

    
    mex2 = [mex2; pdat accCol nhitsCol rtCol];
    
end

maxacc = max(acc2);
mex2(:,15) = mex2(:,12)./maxacc;

maxnh = max(nhits2);
mex2(:,16) = mex2(:,13)./maxnh;

maxrt = max(rt2);
mex2(:,17) = mex2(:,14)./maxrt;

c_names = [{'experimenter'},{'type var=1'},{'feedb'},{'white'}...
    ,{'penalty'},{'maxfill%'},{'mtl'},{'ppt'},{'block'},...
    {'outcome'},{'outcome_RTprop'},{'raw acc'}, {'raw hits'}, {'raw m_RTprop'}...
    {'scaled acc'}, {'scaled hits'}, {'scaled mrt'}];

save mex2 mex2 c_names