clear;
clc;


hhdata = [];
playernum = 0;
for player = [1:9 51:58 101:104];
    playernum = playernum+1;
    
    fid = fopen(['p' int2str(player) '.txt']);
    data1 = textscan(fid,'%s%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%s%f%f%f%f%f','Headerlines',2,'Delimiter',',');
    fclose(fid);

    %%%create experimenter vec
    expvec = ones(length(data1{3}),1).*2 ;
    %%%typevec
    typevec = ones(length(data1{3}),1) ;
    %%%feedbvec
    feed = data1{9};
    feedbvec = ones(length(data1{3}),1).*feed(1) ;
    %%%whitespace
    white = [data1{5} data1{6} data1{7}];
    whitevec = ones(length(data1{3}),1).*sum(white(1,:)) ;    
    %%%penalty 
    pen = data1{8};
    penvec = ones(length(data1{3}),1).*pen(1) ;
    %%%max fill
    maxfill = (data1{11}.*data1{12});
    mf = ones(length(data1{3}),1).*  ( (maxfill(1)+2500)/5000 );
    %%%max trial length
    maximum = (data1{11}./data1{10});
    mtl = ones(length(data1{3}),1).*maximum(1)*1000 ;
    %%%create playervec
    pptvec = ones(length(data1{3}),1).*playernum;

    playerdata = [expvec typevec feedbvec whitevec penvec mf mtl...
        pptvec data1{3} data1{25}.*data1{26}*1000 (data1{25}.*data1{26})/maximum(1)];
    
    hhdata = [hhdata; playerdata];
    
end

%%%remove practice blocks
ashexp1 = hhdata(hhdata(:,9)>0,:);
%%%recode blocks so that thashexpey start at 1

ash1 = [];
for player =1:playernum
    
    pdat = ashexp1(ashexp1(:,8)==player,:);
    %%%keep each players accuracy and overall number of hits
    aaa = pdat(:,10);
    aaa(aaa<0)=0;
    aaa(aaa>0)=1;
    nhits(player) = sum(aaa);
    acc(player) = sum(aaa)/length(aaa);
    
    xxxxx = [player acc(player) nhits(player)];
    rt(player) = mean(abs(pdat(:,11)));
    
    nhitsCol = ones(length(pdat(:,1)),1).*nhits(player);
    accCol = ones(length(pdat(:,1)),1).*acc(player);
    rtCol = ones(length(pdat(:,1)),1).*rt(player);
    
    %%%keep each players rt
%     rt = abs(pdat(:,11));
%     sd(player) = std(rt);
%     sd_max(player) = sd(player)/(mtl(1));
%     sd2_max(player) = std(abs(pdat(:,11)));

    
    ash1 = [ash1; pdat accCol nhitsCol rtCol];
    
end

maxacc = max(acc);
ash1(:,15) = ash1(:,12)./maxacc;

maxnh = max(nhits);
ash1(:,16) = ash1(:,13)./maxnh;

maxrt = max(rt);
ash1(:,17) = ash1(:,14)./maxrt;


ash = ash1;

c_names = [{'experimenter'},{'type var=1'},{'feedb'},{'white'}...
    ,{'penalty'},{'maxfill%'},{'mtl'},{'ppt'},{'block'},...
    {'outcome'},{'outcome_RTprop'},{'raw acc'}, {'raw hits'}, {'raw m_RTprop'}...
    {'scaled acc'}, {'scaled hits'}, {'scaled mrt'}];

save ash ash c_names